﻿-- clcInfo_DestructionWarlock templates.lua
-- same as with the options, add this in a loader function
clcInfo.optionsCMLoaders[#(clcInfo.optionsCMLoaders) + 1] = function()
    -- don't load if class is wrong
    local _, class = UnitClass("player")
    if class ~= "WARLOCK" then return end
    
    local mod = clcInfo_Options.templates
    local defs = mod.defs
    local format = string.format

		-- hack: remove the default skill 1
    local t = mod["icons"][defs.CLASS_3]
    if t then
			for k,v in pairs(t) do
				if string.find(v.name, "Destruction Rotation Skill 1") then 
					t[k] = nil
				end
			end
		end
		    
    --------------------------------------------------------------------------------
    -- Destruction Rotation
    mod:Add("icons", defs.CLASS_3, "Destruction Rotation Skill 1", 'return IconDestruction1()')
    mod:Add("icons", defs.CLASS_3, "Destruction Rotation Skill 2", 'return IconDestruction2()')

    -- Cooldown tracking for abilities for all classes
    mod:Add("icons", defs.CLASS, "Shadowflame in range of target", 'return IconShadowflame()')
    mod:Add("icons", defs.CLASS, "Shadowburn is available", 'return IconShadowburn()')
    mod:Add("icons", defs.CLASS, "Demon Soul is available", 'return IconDemonSoul()')
    mod:Add("icons", defs.CLASS, "Fel Armor is not cast", 'return IconFelArmor()')
    mod:Add("icons", defs.CLASS, "Dark Intent is not cast", 'return IconDarkIntent()')
end


